aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPau Espin Pedrol <pespin@sysmocom.de>2019-02-21 18:44:05 +0100
committerPau Espin Pedrol <pespin@sysmocom.de>2019-02-21 19:26:13 +0100
commitbf90917e9fe473c16c5aa32dcadfa8c2080d4699 (patch)
tree94f0e6ebc404c0e3fda47afe88b8594ac73a75e6
parentd3d178fc41f73540edc47bb08043be42a84377ea (diff)
contrib: Add script to build osmo-bts and osmo-pcu for oc2g
-rwxr-xr-xcontrib/jenkins-build-osmo-bts-oc2g.sh31
-rwxr-xr-xcontrib/jenkins-build-osmo-pcu-oc2g.sh24
2 files changed, 55 insertions, 0 deletions
diff --git a/contrib/jenkins-build-osmo-bts-oc2g.sh b/contrib/jenkins-build-osmo-bts-oc2g.sh
new file mode 100755
index 0000000..9ed2099
--- /dev/null
+++ b/contrib/jenkins-build-osmo-bts-oc2g.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+set -e -x
+
+_poky_version="$POKY_VERSION"
+_poky_path="$POKY_PATH"
+
+[ -z "$_poky_version" ] && _poky_version="2.3.2"
+[ -z "$_poky_path" ] && _poky_path="/opt/poky/$_poky_version"
+
+. "$_poky_path/environment-setup-armv5te-poky-linux-gnueabi"
+
+# Cross-compilation: all installations need to be put in the sysmo SDK sysroot
+export DESTDIR="$_poky_path/sysroots/armv5te-poky-linux-gnueabi"
+
+base="$PWD"
+name="osmo-bts-oc2g"
+prefix="/usr/local/jenkins-build/inst-$name"
+prefix_real="$DESTDIR$prefix"
+. "$(dirname "$0")/jenkins-build-common.sh"
+
+prev_git_url="${git_url}"
+git_url="https://gitlab.com/nrw_oc2g/"
+have_repo "oc2g-fw" "nrw/oc2g"
+git_url="${prev_git_url}"
+L1_OC2G_HEADERS="$PWD/oc2g-fw/inc"
+
+build_repo libosmocore --disable-pcsc --disable-doxygen --disable-gnutls
+build_repo libosmo-abis
+build_repo osmo-bts --disable-sysmocom-bts --enable-oc2g --with-oc2g="$L1_OC2G_HEADERS"
+
+create_bin_tgz osmo-bts-oc2g
diff --git a/contrib/jenkins-build-osmo-pcu-oc2g.sh b/contrib/jenkins-build-osmo-pcu-oc2g.sh
new file mode 100755
index 0000000..2164926
--- /dev/null
+++ b/contrib/jenkins-build-osmo-pcu-oc2g.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+set -e -x
+
+_poky_version="$POKY_VERSION"
+_poky_path="$POKY_PATH"
+
+[ -z "$_poky_version" ] && _poky_version="2.3.2"
+[ -z "$_poky_path" ] && _poky_path="/opt/poky/$_poky_version"
+
+. "$_poky_path/environment-setup-armv5te-poky-linux-gnueabi"
+
+# Cross-compilation: all installations need to be put in the sysmo SDK sysroot
+export DESTDIR="$_poky_path/sysroots/armv5te-poky-linux-gnueabi"
+
+base="$PWD"
+name="osmo-pcu-oc2g"
+prefix="/usr/local/jenkins-build/inst-$name"
+prefix_real="$DESTDIR$prefix"
+. "$(dirname "$0")/jenkins-build-common.sh"
+
+build_repo libosmocore --disable-pcsc --disable-doxygen --disable-gnutls
+build_repo osmo-pcu --disable-sysmocom-dsp
+
+create_bin_tgz osmo-pcu